DLM Support Matrix
Also available as:
PDF

Cross-version support of DLM and HDP

You need to ensure that you are using versions of DLM App, DLM Engine, HDP, and Ambari that are supported together.

DLM supports the following three basic configurations:

Table 1. Cross-version support scenarios
Scenario DLM App Version HDP/Ambari Version DLM Engine Version
1. DLM 1.0 standard setup DLM App 1.0 HDP 2.6.3/Ambari 2.6.0.0 and HDP 2.6.4/Ambari 2.6.1.0 DLM Engine 1.0
2. DLM 1.1 standard setup DLM App 1.1 HDP 2.6.5/Ambari 2.6.2.0 DLM Engine 1.1
3. DLM 1.1 additional supported setup DLM App 1.1 HDP 2.6.3/Ambari 2.6.0.0 and HDP 2.6.4/Ambari 2.6.1.0 DLM Engine 1.0

The Cross-version support scenarios table is illustrated in the following image:

Important
Important

Pairing between clusters for DLM replication is only supported between source and destination clusters that use the same version of DLM Engine and the same HDP version.